﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace PLCTool.Controls.Convert
{
    public class Bool2ColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null || value.ToString() == "")
                return "";
            bool isOpen = (bool)value;
            return isOpen ? new SolidColorBrush((Color)ColorConverter.ConvertFromString("#11D71B")) : new SolidColorBrush((Color)ColorConverter.ConvertFromString("#D1D1D1"));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
