﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.Pdf
{
    public class InvoiceModel
    {
        public string SchemeName { get; set; }
        /// <summary>
        /// Desc:设备名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string DeviceName { get; set; }

        /// <summary>
        /// 整个测试方案测试结果
        /// </summary>
        public string FinalReuslt { get; set; }

        public List<ReportPLCModel> ReportPLCModels { get; set; }
     
    }

    public class ReportPLCModel
    {     /// <summary>
          /// 测试项名称
          /// </summary>
        public string ItemName { get; set; }
        /// <summary>
        /// 测试项类型
        /// </summary>
        public string ItemType { get; set; }

        /// <summary>
        /// 前置项  输入项 输出项
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string JudgeType { get; set; }
        /// <summary>
        /// 判定逻辑
        /// </summary>
        public string SelectLogic { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Detail { get; set; }
        public long Id { get; set; }


        /// <summary>
        /// Desc:
        /// Default:PLC变量名
        /// Nullable:True
        /// </summary>           
        public  string PlcItem { get; set; }



        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string PlcAddress { get; set; }


        public string PlcValue { get; set; }


        /// <summary>
        /// plc实时值
        /// </summary>
        public string RealValue { get; set; }



        /// <summary>
        /// 测试时间(数据库中没有的字段，方便测试时绑定使用）
        /// </summary>
        public DateTime TestTime { get; set; }


        /// <summary>
        /// 测试结果(数据库中没有的字段，方便测试时绑定使用）
        /// </summary>
        public string TestResult { get; set; }
        /// <summary>
        /// Desc:
        /// Default:单个变量的描述
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}

   
   

