﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class BasDeviceDto : BaseDto
    {
        /// <summary>
        /// Desc:设备主键ID
        /// Default:
        /// Nullable:False
        /// </summary>           

        private long deviceId { get; set; }
        public long DeviceId
        {
            get { return deviceId; }
            set { deviceId = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:设备编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        private  string deviceNo { get; set; }

        public string DeviceNo
        {
            get { return deviceNo; }
            set { deviceNo = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:设备名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string deviceName { get; set; }
        public string DeviceName
        {
            get { return deviceName; }
            set { deviceName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:所属项目编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string projectName { get; set; }
        public string ProjectName
        {
            get { return projectName; }
            set { projectName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:所属设备类型编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string deviceKindName { get; set; }
        public string DeviceKindName
        {
            get { return deviceKindName; }
            set { deviceKindName = value; OnPropertyChanged(); }
        }
       
        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string CreateBy { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string UpdateBy { get; set; }

        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}
