﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class BasProjectDto:BaseDto
    {
        private long projectId { get; set; }
        public long ProjectId
        {
            get { return projectId; }
            set { projectId = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:项目编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string projectNo { get; set; }

        public string ProjectNo
        {
            get { return projectNo; }
            set { projectNo = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:项目名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string projectName { get; set; }
        public string ProjectName
        {
            get { return projectName; }
            set { projectName = value; OnPropertyChanged(); }
        }

        /// <summary>
        /// 项目负责人
        /// </summary>
        private string projectLeader { get; set; }
        public string ProjectLeader
        {
            get { return projectLeader; }
            set { projectLeader = value; OnPropertyChanged(); }
        }
        


        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string CreateBy { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string UpdateBy { get; set; }

        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}
