﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public class JsonModel
    {
        /// <summary>
        /// 类型（自动或手动判定
        /// </summary>
        public string ItemType { get; set; }

        /// <summary>
        /// 逻辑
        /// </summary>
        public string ItemLogical { get; set; }
        public string Description { get; set; }

        public List<DetailPLC> DetailInfo { get; set; }
       
    }
    public class DetailPLC
    {
        public long Id { get; set; }

        public string PlcItem { get; set; }



        public string PlcAddress { get; set; }

        public string PlcAddType { get; set; }
        /// <summary>
        /// 设定值
        /// </summary>
        public string PlcValue { get; set; }

        /// <summary>
        /// 实时值（读取或写入值)
        /// </summary>
        public string RealValue { get; set; }

        /// <summary>
        ///测试时间
        /// </summary>
        public DateTime TestTime { get; set; }
        /// <summary>
        /// 测试结果
        /// </summary>
        public string TestResult { get; set; }

        public string Remark { get; set; }

    }
    /// <summary>
    /// 测试结果记录json类
    /// </summary>
  
}
